Compare commits

...
Author SHA1 Message Date
Serge Schneider e577677b62 Update release notes 2020-02-05 15:37:57 +00:00
Serge Schneider 87f7a59cab Update release notes 2020-02-03 13:22:33 +00:00
Serge Schneider 306c7eba3b Update release notes 2020-01-28 12:44:12 +00:00
Serge Schneider b4ea63c045 Update persistent rkfill files 2020-01-28 12:44:12 +00:00
Serge Schneider bdbd85892e Update MagPi URL scheme 2020-01-27 15:20:33 +00:00
Serge Schneider ca31aef1f7 stage5: install code-the-classics 2020-01-24 13:09:04 +00:00
Serge Schneider 0a6624b26d Update ROOT_MARGIN 2020-01-24 12:48:57 +00:00
Serge Schneider 24bb01dec2 Rename HOSTNAME variable to TARGET_HOSTNAME
Bash sets the HOSTNAME variable, overriding our default
2020-01-21 17:45:22 +00:00
Andrew Pattison f8f3d6fe93 capitalise Raspberry Pi 2020-01-08 12:01:12 +00:00
Andrew Pattison f9375cdcec README.md - mention WPA_PASSWORD length requirement 2020-01-08 12:01:12 +00:00
Sam Tygier 9d334bee66 WPA_PASSWORD length check should only occur if set
Test if WPA_PASSWORD is set before check that it has a valid length.
2020-01-08 08:59:55 +00:00
Sam Tygier 024840034e Check WPA_PASSWORD length early
WPA_PASSWORD needs to be between 8 adn 63 characters. Check early
to avoid hitting error in stage2.
2020-01-07 08:07:48 +00:00
Sam Tygier 271177a0f7 Use tee with wpa_passphrase so errors are visable
wpa_passphrase writes its error messages to stdout, so this needs to
tee so that errors are visable to user. Also need to enable pipefail
so that the error code still gets caught.
2020-01-07 08:07:48 +00:00
Christian Decker 9d15c0f7d1 move picraft to stage where minecraft is installed (#362) 2019-12-12 10:15:17 +00:00
RaspberryPiFan 32353a162b Updated info about stage4 and stage5 (#359) 2019-12-09 11:57:26 +00:00
Christian Decker 18c3cebe94 configure unprotected wifi when WPA_PASSWORD is unset (#357) 2019-12-05 15:08:04 +00:00
RaspberryPiFan 8bdbbfb099 Added stage 5 to the text (#353) 2019-11-27 16:11:20 +00:00
RaspberryPiFan d7c1ae21ca New types of images. (#352) 2019-11-26 15:49:49 +00:00
Leander 5456c3801f Explicitly check if postrun script exists in BASE_DIR (#351) 2019-11-26 15:03:47 +00:00
Leander 5e19033387 Remove accidental trailing brace (#348) 2019-11-18 14:38:54 +00:00
Leander 7f143a185e Export base directory before loading config file (#347) 2019-11-18 13:32:16 +00:00
snoe925 a449c75fac OS X does not have realpath (#342)
Check that realpath is present.  OS X doesn't have realpath.  The RPi builds on Docker for Mac if you increase the VM size. I am using 256G for my image.  See the Docker for Mac preferences.
2019-11-11 18:23:58 +00:00
Serge Schneider 95ba042c83 Add hostname to /etc/hosts 2019-11-06 14:33:07 +00:00
Rene Klootwijk d30343f626 Added hostname parameter 2019-11-05 17:21:33 +00:00
Serge Schneider 19c0188798 Ensure debootstrap runs through 'sh' rather than 'bash'
This fixes #338 and fixes #294
2019-10-30 13:31:07 +00:00
Matthijs Kooijman 336ff2107e Document how to get values for the localization values 2019-10-14 10:55:10 +01:00
Serge Schneider 8026d9dc8f Update changelog 2019-10-14 10:54:20 +01:00
Serge Schneider 80d486687e Update release notes 2019-09-25 19:26:16 +01:00
Serge Schneider 5780006ecd Update release notes 2019-09-25 15:06:49 +01:00
Matthijs Kooijman 99f702f0ff Use parted for partitioning (#285)
Previously, fdisk was used by sending commands into its stdin, which is
not very robust (since it heavily relies on the interactive prompts
offered by fdisk as well as the default values it offers, which seem
prone to changing in future version).

It seems likely that in the past, fdisk was easier than parted since it
provides default values that make it easier to create adjacent
partitions, without precalculating all positions in the script. However
now that partitions are manually being aligned, all data must be
calculated anyway.

This commit changes the partition generation to use parted rather than
fdisk. For this, it rewrites various calculations and renames variables
to be easier to read as well. All values are now in number of bytes,
rather than mixing bytes and sectors.

This commit also makes makes sure that the boot partition and root
partition are always adjacent (previously the root partition was aligned
without also rounding the boot partition size, leaving some empty space
in between).

As a side effect of using parted, this also causes the "bootcode" part
of the MBR to be filled with some default x86 bootcode. This is totally
irrelevant for booting the Raspberry Pi, but it does prevent triggering
a bug in parted. When using parted to change the partition table (e.g.
when resizing the root partition on first boot by raspi-config's
init_resize.sh), the disk identifier would be changed due to this bug,
which would change the PARTUUID of all partitions. The init_resize.sh
script would work around this by updating the PARTUUID in e.g. fstab,
but that's fragile at best.  This commit prevents the bug from
triggering and keeps the disk identifier the same.

See https://debbugs.gnu.org/35714 for details about this parted bug.

This commit fixes #284.
2019-09-25 13:46:38 +01:00
Serge Schneider 946f164006 stage3: Mousepad used as simple text editor instead of leafpad 2019-09-24 15:57:09 +01:00
Serge Schneider 6538d5babf Update release notes 2019-09-23 15:30:02 +01:00
fpicalausa 652780757b Update config.txt to replace lirc-rpi with gpio-ir (#328)
The example for enabling IR transmission in `/boot/config.txt` is still using the deprecated `lirc-rpi` overlay. 
The documentation in `/boot/overlays/README` indicates that this overlay has been deprecated in favor of `gpio-ir` / `gpio-ir-tx`.

This updates the actual config.txt to suggest `gpio-ir` instead of `lirc-rpi`.
2019-09-23 10:11:58 +01:00
Serge Schneider d1ed4a2982 Include rpi-eeprom 2019-09-18 14:53:35 +01:00
Russ Kubes 00c22ab57e Updated export-image to not depend on fake-hwclock and hardlink. (#326) 2019-08-27 18:16:24 +01:00
Serge Schneider e8460beb3b Revert "export-image: Remove interfaces.dpkg-old"
This reverts commit a016561600.
2019-08-14 15:54:50 +01:00
Serge Schneider 77833ba929 cmdline.txt: remove dwc_otg.lpm_enable=0 2019-08-14 15:32:05 +01:00
Serge Schneider c49261d756 stage2: install pciutils 2019-08-14 15:32:05 +01:00
Serge Schneider a016561600 export-image: Remove interfaces.dpkg-old 2019-08-14 15:28:12 +01:00
Serge Schneider c1ff2b1cac stage4: rename thonny package 2019-08-14 14:58:54 +01:00
Serge Schneider 28f344144c stage5: add scratch3 2019-08-14 14:58:54 +01:00
Joshua Bussdieker d1f7a38905 Support regional config settings (#323) 2019-08-14 11:26:55 +01:00
Christophe Hurpeau 8110eb4891 Remove unused interfaces file (#322) 2019-08-11 16:50:11 +01:00
Kevin Stone 18b945ffb2 Moved git-hash determination to passed in build variable (#273) 2019-08-11 16:44:00 +01:00
Hugo Hromic 920e22bdc5 Ensure that the configuration file is an absolute path in Docker build (#306)
* Use `&&` instead of `;` in Docker pipeline

* In case of error, `&&` does not continue execution

* Silence shellcheck warning

* SC2086: Double quote to prevent globbing and word splitting.

* Ensure that the configuration file is an absolute path in Docker build

The specific problem is in commit 2ddd7c1, where the passed config file
(using the `-c` option) is now mounted inside the container using the
`--volume src:dest:opt` Docker option.

The problem is that Docker requires absolute paths for mounting single
files inside the container, otherwise it silently tries to mount a volume
name instead as an empty directory. Therefore the Docker build no longer
works with the following invocation forms (relative config-paths):

    ./build-docker.sh -c myconfig
    /path/to/build-docker.sh -c myconfig   # also doesn't work

This commit uses `realpath` (included in coreutils) in the Docker build
script to ensure that the passed configuration file is always an
absolute path before passing it to Docker.
2019-07-30 12:38:26 +01:00
Jens Hilligsøe 5436273ec7 Make build_docker.sh portable again (#308)
Last commit made the script break on macOS.

From `man sed` (On Linux):

```
       -E, -r, --regexp-extended

              use extended regular expressions in the script (for portability use POSIX -E).
```
2019-07-23 14:44:33 +01:00
132ikl c0714e33d6 Update Stretch to Buster in README (#310) 2019-07-23 14:43:07 +01:00
Serge Schneider 9c0a25d852 stage2: add ntfs-3g 2019-07-18 12:07:45 +01:00
Serge Schneider 210b51c293 stage3: remove Epiphany 2019-07-10 15:47:17 +01:00
Serge Schneider 4c575d7e8f Add missing release notes 2019-07-10 15:42:40 +01:00
Serge Schneider 175dfb027f Update release notes 2019-07-08 19:52:00 +01:00
Serge Schneider 37482277d3 stage2: Add vl805fw 2019-07-08 19:42:09 +01:00
Serge Schneider 4118f8d524 stage5: Add Mathematica 2019-07-08 19:29:35 +01:00
gscscnd 1143530351 Revert "stage2: Add apt-transport-https" (#304)
This reverts commit 1806504983.

In Buster, APT has built‐in support for HTTPS repos (since version 1.5).
The ca-certificates package is already included in the modified file, so
this commit shouldn’t break anything.
2019-07-03 16:42:26 +01:00
gscscnd fd21eff626 README.md shouldn’t be executable (#303)
In 667318116a, README.md’s file mode bits
were changed from 0o644 to 0o755. This commit reverts them back to
0o644.
2019-07-03 13:02:48 +01:00
Samuele Maci ae4ec6445e build-docker.sh does not assume PWD=<repo root> (#302)
* bash variables in build-docker.sh are wrapped by curly brackets

* Ensure presence of config file while running build-docker.sh

* Do not assume that build-docker.sh is run from the repository root directory

* Mount config file in predictable location in docker container
2019-07-02 14:56:41 +01:00
Xerxes Rånby 57ef9b88e3 stage2/00-copies-and-fills/02-run.sh: Fix re-runs of script (#301)
Check that file exist before move.
2019-07-02 14:54:25 +01:00
Ondřej Caletka 3db1168fbd Remove obsolete IPv6 turnoff (#300)
Turning off IPv6 by aliasing `net-pf-10` to `off` does not work anymore.
Also, turning off IPv6 on system level breaks apps depending on IPv6
loopback or IPv6 link-local addresssing and creates issues in both
dual-stack and IPv6-only environments.

Signed-off-by: Ondřej Caletka <[email protected]>
2019-07-01 13:21:44 +01:00
Russ Kubes 4ca539cb45 Fix build.sh to run dependencies_check prior to using curl. (#299) 2019-07-01 13:17:12 +01:00
Ryan Walmsley 3c559aeb56 64 bit message (#298)
Added a handy message to make it clear that compiling on a 64 bit OS is causing issues. After spending over an hour of troubleshooting think it should be made clearer as it'll affect quite a few users.
2019-06-28 12:40:06 +01:00
Hugo Hromic cf50ff26d2 Update Dockerfile base image to Debian Buster (#295)
With the Qemu version shipped with Debian Stretch, the `man-db` package
being installed for Buster in the image triggers many of these errors:

    qemu: Unsupported syscall: 383

This is a manifestation of the following bug:
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=891109

This is resolved in the current Qemu version shipped with Debian Buster.
2019-06-27 11:47:23 +01:00
Serge Schneider a4be08e275 Update release notes 2019-06-21 15:54:50 +01:00
28 changed files with 304 additions and 122 deletions
+2 -2
View File
@@ -1,4 +1,4 @@
FROM debian:stretch FROM debian:buster
ENV DEBIAN_FRONTEND noninteractive ENV DEBIAN_FRONTEND noninteractive
@@ -6,7 +6,7 @@ RUN apt-get -y update && \
apt-get -y install \ apt-get -y install \
git vim parted \ git vim parted \
quilt coreutils qemu-user-static debootstrap zerofree zip dosfstools \ quilt coreutils qemu-user-static debootstrap zerofree zip dosfstools \
bsdtar libcap2-bin rsync grep udev xz-utils curl xxd file kmod\ bsdtar libcap2-bin rsync grep udev xz-utils curl xxd file kmod bc\
&& rm -rf /var/lib/apt/lists/* && rm -rf /var/lib/apt/lists/*
COPY . /pi-gen/ COPY . /pi-gen/
Executable → Regular
+44 -11
View File
@@ -6,7 +6,7 @@ _Tool used to create the raspberrypi.org Raspbian images_
## Dependencies ## Dependencies
pi-gen runs on Debian based operating systems. Currently it is only supported on pi-gen runs on Debian based operating systems. Currently it is only supported on
either Debian Stretch or Ubuntu Xenial and is known to have issues building on either Debian Buster or Ubuntu Xenial and is known to have issues building on
earlier releases of these systems. On other Linux distributions it may be possible earlier releases of these systems. On other Linux distributions it may be possible
to use the Docker build described below. to use the Docker build described below.
@@ -14,7 +14,7 @@ To install the required dependencies for pi-gen you should run:
```bash ```bash
apt-get install coreutils quilt parted qemu-user-static debootstrap zerofree zip \ apt-get install coreutils quilt parted qemu-user-static debootstrap zerofree zip \
dosfstools bsdtar libcap2-bin grep rsync xz-utils file git curl dosfstools bsdtar libcap2-bin grep rsync xz-utils file git curl bc
``` ```
The file `depends` contains a list of tools needed. The format of this The file `depends` contains a list of tools needed. The format of this
@@ -78,6 +78,37 @@ The following environment variables are supported:
Setting to '1' enables the QEMU mode - creating an image that can be mounted via QEMU for an emulated Setting to '1' enables the QEMU mode - creating an image that can be mounted via QEMU for an emulated
environment. These images include "-qemu" in the image file name. environment. These images include "-qemu" in the image file name.
* `LOCALE_DEFAULT` (Default: "en_GB.UTF-8" )
Default system locale.
* `TARGET_HOSTNAME` (Default: "raspberrypi" )
Setting the hostname to the specified value.
* `KEYBOARD_KEYMAP` (Default: "gb" )
Default keyboard keymap.
To get the current value from a running system, run `debconf-show
keyboard-configuration` and look at the
`keyboard-configuration/xkb-keymap` value.
* `KEYBOARD_LAYOUT` (Default: "English (UK)" )
Default keyboard layout.
To get the current value from a running system, run `debconf-show
keyboard-configuration` and look at the
`keyboard-configuration/variant` value.
* `TIMEZONE_DEFAULT` (Default: "Europe/London" )
Default keyboard layout.
To get the current value from a running system, look in
`/etc/timezone`.
* `FIRST_USER_NAME` (Default: "pi" ) * `FIRST_USER_NAME` (Default: "pi" )
Username for the first user Username for the first user
@@ -88,7 +119,7 @@ The following environment variables are supported:
* `WPA_ESSID`, `WPA_PASSWORD` and `WPA_COUNTRY` (Default: unset) * `WPA_ESSID`, `WPA_PASSWORD` and `WPA_COUNTRY` (Default: unset)
If these are set, they are use to configure `wpa_supplicant.conf`, so that the raspberry pi can automatically connect to a wifi network on first boot. If these are set, they are use to configure `wpa_supplicant.conf`, so that the Raspberry Pi can automatically connect to a wifi network on first boot. If `WPA_ESSID` is set and `WPA_PASSWORD` is unset an unprotected wifi network will be configured. If set, `WPA_PASSWORD` must be between 8 and 63 characters.
* `ENABLE_SSH` (Default: `0`) * `ENABLE_SSH` (Default: `0`)
@@ -246,14 +277,13 @@ maintenance and allows for more easy customization.
enhancements, etc. This is a base desktop system, with some development enhancements, etc. This is a base desktop system, with some development
tools installed. tools installed.
- **Stage 4** - Raspbian system meant to fit on a 4GB card. More development - **Stage 4** - Normal Raspbian image. System meant to fit on a 4GB card. This is the
tools, an email client, learning tools like Scratch, specialized packages stage that installs most things that make Raspbian friendly to new
like sonic-pi, system documentation, office productivity, etc. This is the users like system documentation.
stage that installs all of the things that make Raspbian friendly to new
users.
- **Stage 5** - The official Raspbian Desktop image. Right now only adds - **Stage 5** - The Raspbian Full image. More development
Mathematica. tools, an email client, learning tools like Scratch, specialized packages
like sonic-pi, office productivity, etc.
### Stage specification ### Stage specification
@@ -261,7 +291,7 @@ If you wish to build up to a specified stage (such as building up to stage 2
for a lite system), place an empty file named `SKIP` in each of the `./stage` for a lite system), place an empty file named `SKIP` in each of the `./stage`
directories you wish not to include. directories you wish not to include.
Then add an empty file named `SKIP_IMAGES` to `./stage4` (if building up to stage 2) or Then add an empty file named `SKIP_IMAGES` to `./stage4` and `./stage5` (if building up to stage 2) or
to `./stage2` (if building a minimal system). to `./stage2` (if building a minimal system).
```bash ```bash
@@ -295,6 +325,9 @@ follows:
# Troubleshooting # Troubleshooting
## `64 Bit Systems`
Please note there is currently an issue when compiling with a 64 Bit OS. See https://github.com/RPi-Distro/pi-gen/issues/271
## `binfmt_misc` ## `binfmt_misc`
Linux is able execute binaries from other architectures, meaning that it should be Linux is able execute binaries from other architectures, meaning that it should be
+52 -29
View File
@@ -1,36 +1,49 @@
#!/bin/bash -e #!/bin/bash -eu
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"
BUILD_OPTS="$*" BUILD_OPTS="$*"
DOCKER="docker" DOCKER="docker"
set +e
if ! $DOCKER ps >/dev/null 2>&1; then if ! ${DOCKER} ps >/dev/null 2>&1; then
DOCKER="sudo docker" DOCKER="sudo docker"
fi fi
if ! $DOCKER ps >/dev/null; then if ! ${DOCKER} ps >/dev/null; then
echo "error connecting to docker:" echo "error connecting to docker:"
$DOCKER ps ${DOCKER} ps
exit 1 exit 1
fi fi
set -e
if [ -f config ]; then CONFIG_FILE=""
# shellcheck disable=SC1091 if [ -f "${DIR}/config" ]; then
source config CONFIG_FILE="${DIR}/config"
fi fi
while getopts "c:" flag while getopts "c:" flag
do do
case "$flag" in case "${flag}" in
c) c)
# shellcheck disable=SC1090 CONFIG_FILE="${OPTARG}"
source "$OPTARG"
;; ;;
*) *)
;; ;;
esac esac
done done
# Ensure that the configuration file is an absolute path
if test -x /usr/bin/realpath; then
CONFIG_FILE=$(realpath -s "$CONFIG_FILE")
fi
# Ensure that the confguration file is present
if test -z "${CONFIG_FILE}"; then
echo "Configuration file need to be present in '${DIR}/config' or path passed as parameter"
exit 1
else
# shellcheck disable=SC1090
source "${CONFIG_FILE}"
fi
CONTAINER_NAME=${CONTAINER_NAME:-pigen_work} CONTAINER_NAME=${CONTAINER_NAME:-pigen_work}
CONTINUE=${CONTINUE:-0} CONTINUE=${CONTINUE:-0}
PRESERVE_CONTAINER=${PRESERVE_CONTAINER:-0} PRESERVE_CONTAINER=${PRESERVE_CONTAINER:-0}
@@ -41,32 +54,42 @@ if [ -z "${IMG_NAME}" ]; then
exit 1 exit 1
fi fi
CONTAINER_EXISTS=$($DOCKER ps -a --filter name="$CONTAINER_NAME" -q) # Ensure the Git Hash is recorded before entering the docker container
CONTAINER_RUNNING=$($DOCKER ps --filter name="$CONTAINER_NAME" -q) GIT_HASH=${GIT_HASH:-"$(git rev-parse HEAD)"}
if [ "$CONTAINER_RUNNING" != "" ]; then
echo "The build is already running in container $CONTAINER_NAME. Aborting." CONTAINER_EXISTS=$(${DOCKER} ps -a --filter name="${CONTAINER_NAME}" -q)
CONTAINER_RUNNING=$(${DOCKER} ps --filter name="${CONTAINER_NAME}" -q)
if [ "${CONTAINER_RUNNING}" != "" ]; then
echo "The build is already running in container ${CONTAINER_NAME}. Aborting."
exit 1 exit 1
fi fi
if [ "$CONTAINER_EXISTS" != "" ] && [ "$CONTINUE" != "1" ]; then if [ "${CONTAINER_EXISTS}" != "" ] && [ "${CONTINUE}" != "1" ]; then
echo "Container $CONTAINER_NAME already exists and you did not specify CONTINUE=1. Aborting." echo "Container ${CONTAINER_NAME} already exists and you did not specify CONTINUE=1. Aborting."
echo "You can delete the existing container like this:" echo "You can delete the existing container like this:"
echo " $DOCKER rm -v $CONTAINER_NAME" echo " ${DOCKER} rm -v ${CONTAINER_NAME}"
exit 1 exit 1
fi fi
$DOCKER build -t pi-gen . # Modify original build-options to allow config file to be mounted in the docker container
if [ "$CONTAINER_EXISTS" != "" ]; then BUILD_OPTS="$(echo "${BUILD_OPTS:-}" | sed -E 's@\-c\s?([^ ]+)@-c /config@')"
trap 'echo "got CTRL+C... please wait 5s"; $DOCKER stop -t 5 ${CONTAINER_NAME}_cont' SIGINT SIGTERM
time $DOCKER run --rm --privileged \ ${DOCKER} build -t pi-gen "${DIR}"
if [ "${CONTAINER_EXISTS}" != "" ]; then
trap 'echo "got CTRL+C... please wait 5s" && ${DOCKER} stop -t 5 ${CONTAINER_NAME}_cont' SIGINT SIGTERM
time ${DOCKER} run --rm --privileged \
--volume "${CONFIG_FILE}":/config:ro \
-e "GIT_HASH=${GIT_HASH}" \
--volumes-from="${CONTAINER_NAME}" --name "${CONTAINER_NAME}_cont" \ --volumes-from="${CONTAINER_NAME}" --name "${CONTAINER_NAME}_cont" \
pi-gen \ pi-gen \
bash -e -o pipefail -c "dpkg-reconfigure qemu-user-static && bash -e -o pipefail -c "dpkg-reconfigure qemu-user-static &&
cd /pi-gen; ./build.sh ${BUILD_OPTS} ; cd /pi-gen; ./build.sh ${BUILD_OPTS} &&
rsync -av work/*/build.log deploy/" & rsync -av work/*/build.log deploy/" &
wait "$!" wait "$!"
else else
trap 'echo "got CTRL+C... please wait 5s"; $DOCKER stop -t 5 ${CONTAINER_NAME}' SIGINT SIGTERM trap 'echo "got CTRL+C... please wait 5s" && ${DOCKER} stop -t 5 ${CONTAINER_NAME}' SIGINT SIGTERM
time $DOCKER run --name "${CONTAINER_NAME}" --privileged \ time ${DOCKER} run --name "${CONTAINER_NAME}" --privileged \
--volume "${CONFIG_FILE}":/config:ro \
-e "GIT_HASH=${GIT_HASH}" \
pi-gen \ pi-gen \
bash -e -o pipefail -c "dpkg-reconfigure qemu-user-static && bash -e -o pipefail -c "dpkg-reconfigure qemu-user-static &&
cd /pi-gen; ./build.sh ${BUILD_OPTS} && cd /pi-gen; ./build.sh ${BUILD_OPTS} &&
@@ -74,12 +97,12 @@ else
wait "$!" wait "$!"
fi fi
echo "copying results from deploy/" echo "copying results from deploy/"
$DOCKER cp "${CONTAINER_NAME}":/pi-gen/deploy . ${DOCKER} cp "${CONTAINER_NAME}":/pi-gen/deploy .
ls -lah deploy ls -lah deploy
# cleanup # cleanup
if [ "$PRESERVE_CONTAINER" != "1" ]; then if [ "${PRESERVE_CONTAINER}" != "1" ]; then
$DOCKER rm -v "$CONTAINER_NAME" ${DOCKER} rm -v "${CONTAINER_NAME}"
fi fi
echo "Done! Your image(s) should be in deploy/" echo "Done! Your image(s) should be in deploy/"
+19 -4
View File
@@ -122,6 +122,8 @@ if [ "$(id -u)" != "0" ]; then
exit 1 exit 1
fi fi
BASE_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
export BASE_DIR
if [ -f config ]; then if [ -f config ]; then
# shellcheck disable=SC1091 # shellcheck disable=SC1091
@@ -154,13 +156,14 @@ export IMG_DATE="${IMG_DATE:-"$(date +%Y-%m-%d)"}"
export IMG_FILENAME="${IMG_FILENAME:-"${IMG_DATE}-${IMG_NAME}"}" export IMG_FILENAME="${IMG_FILENAME:-"${IMG_DATE}-${IMG_NAME}"}"
export ZIP_FILENAME="${ZIP_FILENAME:-"image_${IMG_DATE}-${IMG_NAME}"}" export ZIP_FILENAME="${ZIP_FILENAME:-"image_${IMG_DATE}-${IMG_NAME}"}"
BASE_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
export SCRIPT_DIR="${BASE_DIR}/scripts" export SCRIPT_DIR="${BASE_DIR}/scripts"
export WORK_DIR="${WORK_DIR:-"${BASE_DIR}/work/${IMG_DATE}-${IMG_NAME}"}" export WORK_DIR="${WORK_DIR:-"${BASE_DIR}/work/${IMG_DATE}-${IMG_NAME}"}"
export DEPLOY_DIR=${DEPLOY_DIR:-"${BASE_DIR}/deploy"} export DEPLOY_DIR=${DEPLOY_DIR:-"${BASE_DIR}/deploy"}
export DEPLOY_ZIP="${DEPLOY_ZIP:-1}" export DEPLOY_ZIP="${DEPLOY_ZIP:-1}"
export LOG_FILE="${WORK_DIR}/build.log" export LOG_FILE="${WORK_DIR}/build.log"
export TARGET_HOSTNAME=${TARGET_HOSTNAME:-raspberrypi}
export FIRST_USER_NAME=${FIRST_USER_NAME:-pi} export FIRST_USER_NAME=${FIRST_USER_NAME:-pi}
export FIRST_USER_PASS=${FIRST_USER_PASS:-raspberry} export FIRST_USER_PASS=${FIRST_USER_PASS:-raspberry}
export WPA_ESSID export WPA_ESSID
@@ -168,7 +171,14 @@ export WPA_PASSWORD
export WPA_COUNTRY export WPA_COUNTRY
export ENABLE_SSH="${ENABLE_SSH:-0}" export ENABLE_SSH="${ENABLE_SSH:-0}"
export BASE_DIR export LOCALE_DEFAULT="${LOCALE_DEFAULT:-en_GB.UTF-8}"
export KEYBOARD_KEYMAP="${KEYBOARD_KEYMAP:-gb}"
export KEYBOARD_LAYOUT="${KEYBOARD_LAYOUT:-English (UK)}"
export TIMEZONE_DEFAULT="${TIMEZONE_DEFAULT:-Europe/London}"
export GIT_HASH=${GIT_HASH:-"$(git rev-parse HEAD)"}
export CLEAN export CLEAN
export IMG_NAME export IMG_NAME
@@ -197,6 +207,8 @@ source "${SCRIPT_DIR}/common"
# shellcheck source=scripts/dependencies_check # shellcheck source=scripts/dependencies_check
source "${SCRIPT_DIR}/dependencies_check" source "${SCRIPT_DIR}/dependencies_check"
dependencies_check "${BASE_DIR}/depends"
#check username is valid #check username is valid
if [[ ! "$FIRST_USER_NAME" =~ ^[a-z][-a-z0-9_]*$ ]]; then if [[ ! "$FIRST_USER_NAME" =~ ^[a-z][-a-z0-9_]*$ ]]; then
echo "Invalid FIRST_USER_NAME: $FIRST_USER_NAME" echo "Invalid FIRST_USER_NAME: $FIRST_USER_NAME"
@@ -208,7 +220,10 @@ if [[ -n "${APT_PROXY}" ]] && ! curl --silent "${APT_PROXY}" >/dev/null ; then
exit 1 exit 1
fi fi
dependencies_check "${BASE_DIR}/depends" if [[ -n "${WPA_PASSWORD}" && ${#WPA_PASSWORD} -lt 8 || ${#WPA_PASSWORD} -gt 63 ]] ; then
echo "WPA_PASSWORD" must be between 8 and 63 characters
exit 1
fi
mkdir -p "${WORK_DIR}" mkdir -p "${WORK_DIR}"
log "Begin ${BASE_DIR}" log "Begin ${BASE_DIR}"
@@ -237,7 +252,7 @@ for EXPORT_DIR in ${EXPORT_DIRS}; do
fi fi
done done
if [ -x postrun.sh ]; then if [ -x ${BASE_DIR}/postrun.sh ]; then
log "Begin postrun.sh" log "Begin postrun.sh"
cd "${BASE_DIR}" cd "${BASE_DIR}"
./postrun.sh ./postrun.sh
+1
View File
@@ -16,3 +16,4 @@ xxd
file file
git git
lsmod:kmod lsmod:kmod
bc
+4
View File
@@ -4,8 +4,12 @@ IMG_FILE="${STAGE_WORK_DIR}/${IMG_FILENAME}${IMG_SUFFIX}.img"
INFO_FILE="${STAGE_WORK_DIR}/${IMG_FILENAME}${IMG_SUFFIX}.info" INFO_FILE="${STAGE_WORK_DIR}/${IMG_FILENAME}${IMG_SUFFIX}.info"
on_chroot << EOF on_chroot << EOF
if [ -x /etc/init.d/fake-hwclock ]; then
/etc/init.d/fake-hwclock stop /etc/init.d/fake-hwclock stop
fi
if hash hardlink 2>/dev/null; then
hardlink -t /usr/share/doc hardlink -t /usr/share/doc
fi
EOF EOF
if [ -d "${ROOTFS_DIR}/home/${FIRST_USER_NAME}/.config" ]; then if [ -d "${ROOTFS_DIR}/home/${FIRST_USER_NAME}/.config" ]; then
+17 -22
View File
@@ -10,32 +10,27 @@ rm -rf "${ROOTFS_DIR}"
mkdir -p "${ROOTFS_DIR}" mkdir -p "${ROOTFS_DIR}"
BOOT_SIZE="$((256 * 1024 * 1024))" BOOT_SIZE="$((256 * 1024 * 1024))"
TOTAL_SIZE=$(du --apparent-size -s "${EXPORT_ROOTFS_DIR}" --exclude var/cache/apt/archives --block-size=1 | cut -f 1) ROOT_SIZE=$(du --apparent-size -s "${EXPORT_ROOTFS_DIR}" --exclude var/cache/apt/archives --exclude boot --block-size=1 | cut -f 1)
ROUND_SIZE="$((4 * 1024 * 1024))" # All partition sizes and starts will be aligned to this size
ROUNDED_ROOT_SECTOR=$(((BOOT_SIZE + ROUND_SIZE) / ROUND_SIZE * ROUND_SIZE / 512 + 8192)) ALIGN="$((4 * 1024 * 1024))"
IMG_SIZE=$(((BOOT_SIZE + TOTAL_SIZE + (800 * 1024 * 1024) + ROUND_SIZE - 1) / ROUND_SIZE * ROUND_SIZE)) # Add this much space to the calculated file size. This allows for
# some overhead (since actual space usage is usually rounded up to the
# filesystem block size) and gives some free space on the resulting
# image.
ROOT_MARGIN="$(echo "($ROOT_SIZE * 0.2 + 200 * 1024 * 1024) / 1" | bc)"
BOOT_PART_START=$((ALIGN))
BOOT_PART_SIZE=$(((BOOT_SIZE + ALIGN - 1) / ALIGN * ALIGN))
ROOT_PART_START=$((BOOT_PART_START + BOOT_PART_SIZE))
ROOT_PART_SIZE=$(((ROOT_SIZE + ROOT_MARGIN + ALIGN - 1) / ALIGN * ALIGN))
IMG_SIZE=$((BOOT_PART_START + BOOT_PART_SIZE + ROOT_PART_SIZE))
truncate -s "${IMG_SIZE}" "${IMG_FILE}" truncate -s "${IMG_SIZE}" "${IMG_FILE}"
fdisk -H 255 -S 63 "${IMG_FILE}" <<EOF
o
n
parted --script "${IMG_FILE}" mklabel msdos
8192 parted --script "${IMG_FILE}" unit B mkpart primary fat32 "${BOOT_PART_START}" "$((BOOT_PART_START + BOOT_PART_SIZE - 1))"
+$((BOOT_SIZE / 512)) parted --script "${IMG_FILE}" unit B mkpart primary ext4 "${ROOT_PART_START}" "$((ROOT_PART_START + ROOT_PART_SIZE - 1))"
p
t
c
n
${ROUNDED_ROOT_SECTOR}
p
w
EOF
PARTED_OUT=$(parted -sm "${IMG_FILE}" unit b print) PARTED_OUT=$(parted -sm "${IMG_FILE}" unit b print)
BOOT_OFFSET=$(echo "$PARTED_OUT" | grep -e '^1:' | cut -d':' -f 2 | tr -d B) BOOT_OFFSET=$(echo "$PARTED_OUT" | grep -e '^1:' | cut -d':' -f 2 | tr -d B)
+115 -1
View File
@@ -1,5 +1,119 @@
UNRELEASED: UNRELEASED:
* * Version 3.2.6 of Thonny included - significant improvements in speed, particularly when debugging
* Version 1.0.4 of Scratch 3 included - adds new "display stage" and "display sprite" blocks to SenseHAT extension, and loading of files from command line
* Version 32.0.0.314 of Flash player included
* Version 1.0.3 of NodeRED included
* Version 6.6.0 of RealVNC Server and version 6.19.923 of RealVNC Viewer included - adds support for audio
* Version 78.0.3904.108 of Chromium included
* Mesa updated to 19.3.2 for OpenGL ES 3.1 conformance
* Pixel doubling option added in Raspberry Pi Configuration on platforms using FKMS display driver
* Orca screen reader added to Recommended Software
* Code The Classics Python games added to Recommended Software
* File manager - new "places" pane added at top of sidebar to show mounted drives in simplified view; "new folder" icon added to taskbar; expanders in directory browser now correctly show state of subfolders
* Multiple monitor support improved - alignment of icons on second desktop corrected, Appearance Settings opens on correct tab when launched from context menu
* Raspberry Pi Touchscreen correctly aligned with display
* System clock synchronised before installing new packages in startup wizard and Recommended Software
* Mixer dialogs added to taskbar volume plugin; separate Audio Preferences application removed
* Raspberry Pi Configuration - separate tab added for display options; screen blanking control added
* Volume taskbar plugin and raspi-config modified to support separate ALSA devices for internal audio outputs (analogue and HDMI 1 and 2)
* Robustness improvements in volume, ejecter and battery taskbar plugins
* Movement of mouse pointer to menu button on startup now controlled by point_at_menu parameter in Global section of lxpanel configuration file
* Ctrl-Alt-Del and Ctrl-Alt-End shortcuts added to open shutdown options box
* Ctrl-Shift-Esc shortcut added to open task manager
* Enabled NEON routines in OpenSSL
* Linux kernel 4.19.93
* Raspberry Pi firmware 67392a7a32bddad7f571047fccafca9eeb65d29c
2019-09-26:
* rpi-eeprom included
- This will automatically update the SPI EEPROM on the Raspberry Pi 4 to the latest stable version.
See https://rpf.io/eeprom for more information.
* New icon theme for file manager icons
* Appearance Settings - option for identical desktop on both monitors
* Appearance Settings - option to show different desktop icons on both monitors
* Taskbar automatically moved to monitor 0 if monitor 1 not found at boot
* Switching of audio output between two HDMI devices added to volume plugin
* Switching of audio input devices added to volume plugin
* .asoundrc (ALSA config file) now uses 'plug' values to support more devices
* Audio Settings tool modified to integrate more closely with volume plugin to reduce duplicated code
* Screen Configuration tool now shows separate menus for resolution and refresh rate
* Primary and active monitor settings removed from Screen Configuration tool
* Overscan support added for FKMS driver
* New keyboard shortcuts added - Ctrl-Alt-End brings up shutdown menu; Ctrl-Alt-M moves taskbar between monitors
* Latest changes to Bluez ALSA interface integrated to improve connection to Bluetooth audio devices
* Mousepad used as simple text editor instead of leafpad
* Version 3.2 of Thonny added
* Version 74 of Chromium added
* Version 3.0.8 of VLC added
* Version 32.0.0.255 of Flash player added
* Version 6.5.0 of RealVNC Server added
* Version 6.19.715 of RealVNC Viewer added (full image only)
* Version 12.0.1 of Mathematica added (full image only)
* Version 0.20.8 of NodeRED added (full image only)
* Version 3.1.0 of Sonic Pi added (full image only)
* Scratch 3 added (full image only)
* Bug fix - URL handling in Terminal
* Bug fix - octal values in SSIDs in network plugin
* Bug fix - remaining value in progress bar when transferring files
* Bug fix - integration of xarchiver tool with file manager
* Bug fix - start menu opening on incorrect monitor
* Bug fix - minimised applications wrongly displayed on taskbar on second monitor
* Bug fix - Bluetooth icon disappearing on x86 platforms when Bluetooth turned off
* Bug fix - Screen Configuration tool not shown on x86 platforms and settings not being saved
* Various translation updates
* Various minor bug fixes
* Epiphany/Web removed
* ntfs-3g included
* pciutils added
* Linux kernel 4.19.75
* Raspberry Pi firmware 01508e81ec1e918448227ca864616d56c430b46d
2019-07-10:
* Clearer options for switching of Pi 4 video output in Raspberry Pi Configuration
* Option added to Appearance Settings to move taskbar to second monitor
* Option added to Recommended Software to restrict package installs by architecture
* New version of Adobe Flash player (32.0.0.223)
* Selection of screen refresh rates added to Screen Configuration
* Fix for missing text insertion cursor in LibreOffice on Pi 4
* Fix for Wi-fi interruption when Wi-fi icon on taskbar is clicked
* FIx for incorrect desktop background behind desktop login prompt
* Fix for segmentation faults when launching obconf and lxapperarance
* Fix for unclosed file pointer in Screen Configuration
* Fix for Bluetooth plugin freeze when large numbers of devices detected
* Fix for opening URLs not working in lxterminal
* Fix for start menu opening on incorrect monitor when launched from keyboard
* Fix for taskbar item not having [] removed when un-minimising on second monitor
* Fix for Chromium video playback and WebGL performance on Pi 4
* Remove 4kp60 option from Raspberry Pi Configuration
* Rename hdmi_enable_4k to hdmi_enable_4kp60 in /boot/config.txt and raspi-config
* Linux kernel 4.19.57
* Raspberry Pi firmware 356f5c2880a3c7e8774025aa6fc934a617553e7b
2019-06-20:
* Based on Debian Buster
* Support for Raspberry Pi 4 hardware
* FKMS OpenGL desktop graphics driver and xcompmgr compositing window manager used when running on Raspberry Pi 4
* Screen Configuration application added for use with FKMS driver
* Raspberry Pi 4 video output options added to Raspberry Pi Configuration
* Uses new PiXflat UI theme for GTK and Openbox
* CPU activity gauge plugin no longer shown on taskbar by default
* CPU temperature gauge plugin added (not shown by default)
* USB ejecter and Bluetooth taskbar icons hidden when not appropriate
* Version 74.0.3729.157 of Chromium web browser included
* Version 32.0.0.207 of Flash player included
* IDLE Python IDE removed
* Wolfram Mathematica removed temporarily due to incompatibility with Buster
* Display of package sizes removed from Recommended Software
* Appearance Settings modified to support independent settings for two monitors
* Oracle Java 7 and 8 replaced with OpenJDK 11
* Miscellaneous small bug fixes
* On-board 5GHz WiFi blocked by rfkill by default
The block is removed when taking one of the following actions:
- Selecting a locale in the first run wizard
- Setting the WiFi country in the Raspberry Pi Configuration tool or the Network Settings applet
- Setting the WiFi country in raspi-config
- Providing a wpa_supplicant.conf file through the boot partition
- Running 'rfkill unblock wifi'
* Boot partition size set to 256M
* Linux kernel 4.19.50
* Raspberry Pi firmware 88ca9081f5e51cdedd16d5dbc85ed12a25123201
2019-04-08: 2019-04-08:
* Chromium browser updated to version 72 * Chromium browser updated to version 72
* VLC media player updated to version 3.0.6 * VLC media player updated to version 3.0.6
+2 -4
View File
@@ -17,8 +17,9 @@ bootstrap(){
BOOTSTRAP_ARGS+=(--components "main,contrib,non-free") BOOTSTRAP_ARGS+=(--components "main,contrib,non-free")
BOOTSTRAP_ARGS+=(--keyring "${STAGE_DIR}/files/raspberrypi.gpg") BOOTSTRAP_ARGS+=(--keyring "${STAGE_DIR}/files/raspberrypi.gpg")
BOOTSTRAP_ARGS+=("$@") BOOTSTRAP_ARGS+=("$@")
printf -v BOOTSTRAP_STR '%q ' "${BOOTSTRAP_ARGS[@]}"
setarch linux32 capsh --drop=cap_setfcap -- "${BOOTSTRAP_CMD}" "${BOOTSTRAP_ARGS[@]}" || true setarch linux32 capsh --drop=cap_setfcap -- -c "'${BOOTSTRAP_CMD}' $BOOTSTRAP_STR" || true
if [ -d "$2/debootstrap" ]; then if [ -d "$2/debootstrap" ]; then
rmdir "$2/debootstrap" rmdir "$2/debootstrap"
@@ -94,9 +95,6 @@ on_chroot() {
export -f on_chroot export -f on_chroot
update_issue() { update_issue() {
local GIT_HASH
GIT_HASH=$(git rev-parse HEAD)
echo -e "Raspberry Pi reference ${IMG_DATE}\nGenerated using ${PI_GEN}, ${PI_GEN_REPO}, ${GIT_HASH}, ${1}" > "${ROOTFS_DIR}/etc/rpi-issue" echo -e "Raspberry Pi reference ${IMG_DATE}\nGenerated using ${PI_GEN}, ${PI_GEN_REPO}, ${GIT_HASH}, ${1}" > "${ROOTFS_DIR}/etc/rpi-issue"
} }
export -f update_issue export -f update_issue
File diff suppressed because one or more lines are too long
+1 -1
View File
@@ -1 +1 @@
dwc_otg.lpm_enable=0 console=serial0,115200 console=tty1 root=ROOTDEV rootfstype=ext4 elevator=deadline fsck.repair=yes rootwait console=serial0,115200 console=tty1 root=ROOTDEV rootfstype=ext4 elevator=deadline fsck.repair=yes rootwait
+3 -2
View File
@@ -47,8 +47,9 @@
#dtparam=i2s=on #dtparam=i2s=on
#dtparam=spi=on #dtparam=spi=on
# Uncomment this to enable the lirc-rpi module # Uncomment this to enable infrared communication.
#dtoverlay=lirc-rpi #dtoverlay=gpio-ir,gpio_pin=17
#dtoverlay=gpio-ir-tx,gpio_pin=18
# Additional overlays and parameters are documented /boot/overlays/README # Additional overlays and parameters are documented /boot/overlays/README
@@ -1,9 +0,0 @@
Index: jessie-stage1/rootfs/etc/hosts
===================================================================
--- jessie-stage1.orig/rootfs/etc/hosts
+++ jessie-stage1/rootfs/etc/hosts
@@ -3,3 +3,4 @@
ff02::1 ip6-allnodes
ff02::2 ip6-allrouters
+127.0.1.1 raspberrypi
-1
View File
@@ -1 +0,0 @@
01-hosts.diff
+2 -2
View File
@@ -1,6 +1,6 @@
#!/bin/bash -e #!/bin/bash -e
install -m 644 files/ipv6.conf "${ROOTFS_DIR}/etc/modprobe.d/ipv6.conf" echo "${TARGET_HOSTNAME}" > "${ROOTFS_DIR}/etc/hostname"
install -m 644 files/hostname "${ROOTFS_DIR}/etc/hostname" echo "127.0.1.1 ${TARGET_HOSTNAME}" >> "${ROOTFS_DIR}/etc/hosts"
ln -sf /dev/null "${ROOTFS_DIR}/etc/systemd/network/99-default.link" ln -sf /dev/null "${ROOTFS_DIR}/etc/systemd/network/99-default.link"
-1
View File
@@ -1 +0,0 @@
raspberrypi
-4
View File
@@ -1,4 +0,0 @@
auto lo
iface lo inet loopback
iface eth0 inet dhcp
-3
View File
@@ -1,3 +0,0 @@
# Don't load ipv6 by default
alias net-pf-10 off
#alias ipv6 off
+3
View File
@@ -1,3 +1,6 @@
#!/bin/bash -e #!/bin/bash -e
if [ -f "${ROOTFS_DIR}/etc/ld.so.preload" ]; then
mv "${ROOTFS_DIR}/etc/ld.so.preload" "${ROOTFS_DIR}/etc/ld.so.preload.disabled" mv "${ROOTFS_DIR}/etc/ld.so.preload" "${ROOTFS_DIR}/etc/ld.so.preload.disabled"
fi
+2 -2
View File
@@ -15,7 +15,7 @@ keyboard-configuration keyboard-configuration/altgr select The default for the k
keyboard-configuration keyboard-configuration/model select Generic 105-key (Intl) PC keyboard-configuration keyboard-configuration/model select Generic 105-key (Intl) PC
# Keymap to use: # Keymap to use:
# Choices: American English, Albanian, Arabic, Asturian, Bangladesh, Belarusian, Bengali, Belgian, Bosnian, Brazilian, British English, Bulgarian, Bulgarian (phonetic layout), Burmese, Canadian French, Canadian Multilingual, Catalan, Chinese, Croatian, Czech, Danish, Dutch, Dvorak, Dzongkha, Esperanto, Estonian, Ethiopian, Finnish, French, Georgian, German, Greek, Gujarati, Gurmukhi, Hebrew, Hindi, Hungarian, Icelandic, Irish, Italian, Japanese, Kannada, Kazakh, Khmer, Kirghiz, Korean, Kurdish (F layout), Kurdish (Q layout), Lao, Latin American, Latvian, Lithuanian, Macedonian, Malayalam, Nepali, Northern Sami, Norwegian, Persian, Philippines, Polish, Portuguese, Punjabi, Romanian, Russian, Serbian (Cyrillic), Sindhi, Sinhala, Slovak, Slovenian, Spanish, Swedish, Swiss French, Swiss German, Tajik, Tamil, Telugu, Thai, Tibetan, Turkish (F layout), Turkish (Q layout), Ukrainian, Uyghur, Vietnamese # Choices: American English, Albanian, Arabic, Asturian, Bangladesh, Belarusian, Bengali, Belgian, Bosnian, Brazilian, British English, Bulgarian, Bulgarian (phonetic layout), Burmese, Canadian French, Canadian Multilingual, Catalan, Chinese, Croatian, Czech, Danish, Dutch, Dvorak, Dzongkha, Esperanto, Estonian, Ethiopian, Finnish, French, Georgian, German, Greek, Gujarati, Gurmukhi, Hebrew, Hindi, Hungarian, Icelandic, Irish, Italian, Japanese, Kannada, Kazakh, Khmer, Kirghiz, Korean, Kurdish (F layout), Kurdish (Q layout), Lao, Latin American, Latvian, Lithuanian, Macedonian, Malayalam, Nepali, Northern Sami, Norwegian, Persian, Philippines, Polish, Portuguese, Punjabi, Romanian, Russian, Serbian (Cyrillic), Sindhi, Sinhala, Slovak, Slovenian, Spanish, Swedish, Swiss French, Swiss German, Tajik, Tamil, Telugu, Thai, Tibetan, Turkish (F layout), Turkish (Q layout), Ukrainian, Uyghur, Vietnamese
keyboard-configuration keyboard-configuration/xkb-keymap select gb keyboard-configuration keyboard-configuration/xkb-keymap select ${KEYBOARD_KEYMAP}
# Compose key: # Compose key:
# Choices: No compose key, Right Alt (AltGr), Right Control, Right Logo key, Menu key, Left Logo key, Caps Lock # Choices: No compose key, Right Alt (AltGr), Right Control, Right Logo key, Menu key, Left Logo key, Caps Lock
keyboard-configuration keyboard-configuration/compose select No compose key keyboard-configuration keyboard-configuration/compose select No compose key
@@ -23,4 +23,4 @@ keyboard-configuration keyboard-configuration/compose select No compose key
keyboard-configuration keyboard-configuration/ctrl_alt_bksp boolean true keyboard-configuration keyboard-configuration/ctrl_alt_bksp boolean true
# Keyboard layout: # Keyboard layout:
# Choices: English (UK), English (UK) - English (UK\, Colemak), English (UK) - English (UK\, Dvorak with UK punctuation), English (UK) - English (UK\, Dvorak), English (UK) - English (UK\, Macintosh international), English (UK) - English (UK\, Macintosh), English (UK) - English (UK\, extended WinKeys), English (UK) - English (UK\, international with dead keys), Other # Choices: English (UK), English (UK) - English (UK\, Colemak), English (UK) - English (UK\, Dvorak with UK punctuation), English (UK) - English (UK\, Dvorak), English (UK) - English (UK\, Macintosh international), English (UK) - English (UK\, Macintosh), English (UK) - English (UK\, extended WinKeys), English (UK) - English (UK\, international with dead keys), Other
keyboard-configuration keyboard-configuration/variant select English (UK) keyboard-configuration keyboard-configuration/variant select ${KEYBOARD_LAYOUT}
+4 -1
View File
@@ -14,7 +14,6 @@ raspberrypi-sys-mods
pi-bluetooth pi-bluetooth
apt-listchanges apt-listchanges
usb-modeswitch usb-modeswitch
apt-transport-https
libpam-chksshpwd libpam-chksshpwd
rpi-update rpi-update
libmtp-runtime libmtp-runtime
@@ -25,3 +24,7 @@ policykit-1
ssh-import-id ssh-import-id
rng-tools rng-tools
ethtool ethtool
vl805fw
ntfs-3g
pciutils
rpi-eeprom
@@ -1,5 +1,5 @@
--- a/rootfs/boot/cmdline.txt --- stage2.orig/rootfs/boot/cmdline.txt
+++ b/rootfs/boot/cmdline.txt +++ stage2/rootfs/boot/cmdline.txt
@@ -1 +1 @@ @@ -1 +1 @@
-dwc_otg.lpm_enable=0 console=serial0,115200 console=tty1 root=ROOTDEV rootfstype=ext4 elevator=deadline fsck.repair=yes rootwait -console=serial0,115200 console=tty1 root=ROOTDEV rootfstype=ext4 elevator=deadline fsck.repair=yes rootwait
+dwc_otg.lpm_enable=0 console=serial0,115200 console=tty1 root=ROOTDEV rootfstype=ext4 elevator=deadline fsck.repair=yes rootwait quiet init=/usr/lib/raspi-config/init_resize.sh +console=serial0,115200 console=tty1 root=ROOTDEV rootfstype=ext4 elevator=deadline fsck.repair=yes rootwait quiet init=/usr/lib/raspi-config/init_resize.sh
+12 -3
View File
@@ -12,11 +12,20 @@ fi
if [ -v WPA_ESSID ] && [ -v WPA_PASSWORD ]; then if [ -v WPA_ESSID ] && [ -v WPA_PASSWORD ]; then
on_chroot <<EOF on_chroot <<EOF
wpa_passphrase "${WPA_ESSID}" "${WPA_PASSWORD}" >> "/etc/wpa_supplicant/wpa_supplicant.conf" set -o pipefail
wpa_passphrase "${WPA_ESSID}" "${WPA_PASSWORD}" | tee -a "/etc/wpa_supplicant/wpa_supplicant.conf"
EOF EOF
elif [ -v WPA_ESSID ]; then
cat >> "${ROOTFS_DIR}/etc/wpa_supplicant/wpa_supplicant.conf" << EOL
network={
ssid="${WPA_ESSID}"
key_mgmt=NONE
}
EOL
fi fi
# Disable wifi on 5GHz models # Disable wifi on 5GHz models
mkdir -p "${ROOTFS_DIR}/var/lib/systemd/rfkill/" mkdir -p "${ROOTFS_DIR}/var/lib/systemd/rfkill/"
echo 1 > "${ROOTFS_DIR}/var/lib/systemd/rfkill/platform-3f300000.mmc:wlan" echo 1 > "${ROOTFS_DIR}/var/lib/systemd/rfkill/platform-3f300000.mmcnr:wlan"
echo 1 > "${ROOTFS_DIR}/var/lib/systemd/rfkill/platform-fe300000.mmc:wlan" echo 1 > "${ROOTFS_DIR}/var/lib/systemd/rfkill/platform-fe300000.mmcnr:wlan"
+1 -1
View File
@@ -1,6 +1,6 @@
#!/bin/bash -e #!/bin/bash -e
echo "Europe/London" > "${ROOTFS_DIR}/etc/timezone" echo "${TIMEZONE_DEFAULT}" > "${ROOTFS_DIR}/etc/timezone"
rm "${ROOTFS_DIR}/etc/localtime" rm "${ROOTFS_DIR}/etc/localtime"
on_chroot << EOF on_chroot << EOF
+1 -1
View File
@@ -1,5 +1,5 @@
xserver-xorg-video-fbdev xserver-xorg xinit xserver-xorg-video-fbturbo xserver-xorg-video-fbdev xserver-xorg xinit xserver-xorg-video-fbturbo
epiphany-browser mousepad
lxde lxtask menu-xdg lxde lxtask menu-xdg
zenity xdg-utils zenity xdg-utils
gvfs-backends gvfs-fuse gvfs-backends gvfs-fuse
+1 -2
View File
@@ -1,5 +1,5 @@
python python3-pygame python-pygame python-tk python python3-pygame python-pygame python-tk
python3 python3-tk python3-thonny python3 python3-tk thonny
python3-pgzero python3-pgzero
python-serial python3-serial python-serial python3-serial
python-picamera python3-picamera python-picamera python3-picamera
@@ -18,7 +18,6 @@ python-spidev python3-spidev
python-twython python3-twython python-twython python3-twython
python-smbus python3-smbus python-smbus python3-smbus
python-flask python3-flask python-flask python3-flask
python-picraft python3-picraft
pprompt pprompt
piwiz piwiz
rp-prefapps rp-prefapps
+3 -3
View File
@@ -1,12 +1,12 @@
#!/bin/sh -e #!/bin/sh -e
magpi_regex="MagPi[[:digit:]]*.pdf" magpi_regex="MagPi[[:digit:]]*.pdf"
magpi_loc="https://www.raspberrypi.org/magpi-issues" magpi_loc="$(curl -s https://magpi.raspberrypi.org/latest-pdf)"
magpi_latest="$(curl "$magpi_loc/?C=M;O=D" -s | grep "$magpi_regex" -m 1 -o | head -n 1)" magpi_latest="$(echo "$magpi_loc" | grep "$magpi_regex" -m 1 -o)"
if [ ! -f "files/$magpi_latest" ]; then if [ ! -f "files/$magpi_latest" ]; then
find files/ -regextype grep -regex "files/$magpi_regex" -delete find files/ -regextype grep -regex "files/$magpi_regex" -delete
wget "$magpi_loc/$magpi_latest" -O "files/$magpi_latest" wget "$magpi_loc" -O "files/$magpi_latest"
fi fi
file "files/$magpi_latest" | grep -q "PDF document" file "files/$magpi_latest" | grep -q "PDF document"
+4 -2
View File
@@ -1,14 +1,16 @@
mu-editor mu-editor
sonic-pi sonic-pi
scratch nuscratch scratch2 scratch nuscratch scratch2 scratch3
smartsim smartsim
minecraft-pi python-minecraftpi minecraft-pi python-minecraftpi python-picraft python3-picraft
python-sense-emu sense-emu-tools python-sense-emu-doc python-sense-emu sense-emu-tools python-sense-emu-doc
wolfram-engine
claws-mail claws-mail
greenfoot-unbundled bluej greenfoot-unbundled bluej
nodered nodered
realvnc-vnc-viewer realvnc-vnc-viewer
python-games python-games
code-the-classics